aboutsummaryrefslogtreecommitdiffstats
path: root/test/00_init
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-10-23 17:42:28 +0300
committergramanas <anastasis.gramm2@gmail.com>2018-10-23 17:42:28 +0300
commit46421fedf6fe291bfcb63482f3bfa9bb2c7fdff6 (patch)
tree53d85f05c362230a428ca5593125ba1a1341799d /test/00_init
parent410bb2715ce7c9f8d796704395cb44d76e2e884c (diff)
downloadck-46421fedf6fe291bfcb63482f3bfa9bb2c7fdff6.tar.gz
ck-46421fedf6fe291bfcb63482f3bfa9bb2c7fdff6.tar.bz2
ck-46421fedf6fe291bfcb63482f3bfa9bb2c7fdff6.zip
Remove site clutter and rename test folder (tests -> test)
Diffstat (limited to 'test/00_init')
-rw-r--r--test/00_init24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/00_init b/test/00_init
new file mode 100644
index 0000000..1f3f2a6
--- /dev/null
+++ b/test/00_init
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+running init
+
+mkdir -p $TEST_LOCATION/vc
+mkdir $TEST_LOCATION/sec
+
+exec $BIN/ck -c $BIN init $TEST_LOCATION/vc $TEST_LOCATION/sec > /dev/null &
+wait $!
+
+if [ $? -ne 0 ]; then
+ err "ck crashed."
+fi
+
+if [ ! -f $BIN/ckrc ]; then
+ err "Config file not created."
+fi
+
+if [ ! -f $BIN/ckdb ]; then
+ err "DB file not created."
+fi
+
+clear_tests 2&>1 /dev/null
+echo -e $PASS